# FIXME missing glade-3 (>= 3.0.2) for glade plugin
# and binutils-dev for Valgrind debugger
Summary: Integrated Development Environment
Name:    anjuta
Version: 2.2.0
Release: 3%{?dist}
License: GPL
Group:   Development/Tools
URL:     http://www.anjuta.org
Source0: http://kent.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: gnome-build, graphviz, neon, autogen, gettext

BuildRequires:    glib2-devel >= 2.8.0, gtk2-devel >= 2.8.0
BuildRequires:    ORBit2-devel >= 2.6.0, libglade2-devel >= 2.3.0
BuildRequires:    libgnome-devel >= 2.12.0, libgnomeui-devel >= 2.12.0
BuildRequires:    libgnomeprint22-devel >= 2.12.0, libgnomeprintui22-devel >= 2.12.0
BuildRequires:    gnome-vfs2-devel >= 2.10.0, vte-devel >= 0.9.0
BuildRequires:    libxml2-devel >= 2.4.23, pango-devel >= 1.1.1
BuildRequires:    pcre-devel >= 3.9, devhelp-devel >= 0.13
BuildRequires:    anjuta-gdl-devel >= 0.7.3, gnome-build-devel >= 0.1.4
BuildRequires:    graphviz-devel >= 1.0, neon-devel >= 0.24.5
BuildRequires:    subversion-devel >= 1.0.2, gnome-doc-utils >= 0.3.2
BuildRequires:    scrollkeeper, perl(XML::Parser), autogen-devel
BuildRequires:    gettext-devel, gtksourceview-devel, pkgconfig
BuildRequires:    autogen-devel, libtool
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Epoch: 1
ExcludeArch:      ppc64

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
on GNOME Desktop Environment and features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, powerful source editor,
syntax highlighting, intellisense autocompletions, symbol navigation,
version controls, integrated GUI designing and other tools.

%package devel
Summary: Libraries and include files for Anjuta plugins development
Group:   Development/Libraries
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: libgnomeui-devel, libglade2-devel, pkgconfig

%description devel
Libraries, header files and API docs for developing Anjuta plugins

%package docs
Summary: Anjuta 2 documentation
Group: Documentation
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description docs
Anjuta 2 documentation

%prep
%setup -q
sed -i 's/\r//' doc/ScintillaDoc.html
iconv -c -f iso-8859-1 -t utf-8 THANKS -o %{_tmppath}/THANKS
mv %{_tmppath}/THANKS THANKS
iconv -c -f iso-8859-1 -t utf-8 COPYING -o %{_tmppath}/COPYING
mv %{_tmppath}/COPYING COPYING
iconv -c -f iso-8859-1 -t utf-8 NEWS -o %{_tmppath}/NEWS
mv %{_tmppath}/NEWS NEWS
iconv -c -f iso-8859-1 -t utf-8 README -o %{_tmppath}/README
mv %{_tmppath}/README README

%build
%configure --disable-static --enable-nls
%define libnoprefix %(echo %_libdir | sed 's,%_prefix/,,')
sed -i -e 's!\(.*PACKAGE_PLUGIN_DIR@,.*\)lib\(/anjuta.*\)!\1%{libnoprefix}\2!g' \
  config.status
./config.status
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -c -p" install
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}/%{_datadir}/applications \
  --add-category X-Fedora \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'
rm -fr %{buildroot}/var/lib/scrollkeeper
# FIXME: we need to inquire how /usr/share/doc/anjuta
# is generated
rm -rf %{buildroot}%{_datadir}/doc/anjuta

%clean
rm -rf %{buildroot}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%post docs
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun docs
scrollkeeper-update -q || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc FUTURE MAINTAINERS ROADMAP TODO
%doc doc/ScintillaDoc.html
%{_bindir}/%{name}*
%{_libdir}/lib%{name}*.so.*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/48x48/apps/anjuta*
%{_datadir}/icons/hicolor/scalable/apps/anjuta*
%{_datadir}/icons/gnome/48x48/mimetypes/*%{name}.png
%{_datadir}/icons/gnome/scalable/mimetypes/gnome*
%{_mandir}/man1/anjuta*

%files docs
%defattr(-,root, root, -)
%{_datadir}/gnome/help/%{name}-*/
%{_datadir}/omf/%{name}-manual/

%files devel
%defattr (-, root, root)
%{_includedir}/*%{name}*
%{_libdir}/pkgconfig/*%{name}*
%{_libdir}/lib%{name}*.so
%{_datadir}/gtk-doc/html/*%{name}*

%changelog
* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1:2.2.0-3
- Rebuild for selinux ppc32 issue.

* Sat Jul 21 2007 Matej Cepl <mcepl@redhat.com> - 1:2.2.0-2
- Exclude architecutre ppc64

* Fri Jul 20 2007 Matej Cepl <mcepl@redhat.com> - 1:2.2.0-1
- fix unnecessary /usr/share/doc/anjuta and its content and %%doc

* Fri Jul 20 2007 Matej Cepl <mcepl@redhat.com> - 1:2.2.0-0.1
- Scratch build of new upstream version.

* Tue Jan 16 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.1.0-1
- bump to new version
- removed files no longer part of the application

* Wed Dec 13 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-13
- rebuild

* Tue Nov 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-11
- scintilla gtk fix

* Wed Nov 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-10
- add patch for close dialog on the about window
- renamed spec file to anjuta

* Sat Oct 28 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-9
- rebuild against new libopts

* Tue Oct 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-8
- fix the INSTALL line in install
- fixed encoding on text files
- removed two docs (not really needed)
- fixed ldconfig

* Sun Oct 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-7
- install keeps timestampe
- now keeps time stamps
- lots of BRs removed
- Moved docs Rs to the correct place
- fixed encodings

* Sat Oct 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-6
- removed RPM_BUILD_ROOT
- fixed devel package
- altered update-mime-database
- fixed debuginfo permission problems
- altered R and BR

* Wed Oct 11 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-5
- re-enabled docs
- multiple spec fixes
- spec file clean
- added gtksourceview-devel and gtksourceview to BR and R

* Thu Jun 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-2
- Lotza fixes!

* Tue May 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-1
- bump to new version 

* Thu Apr 27 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.1-3
- removed the hack from anjuta (1.2.4a)
- added anjuta-docs subpackage

* Wed Apr 26 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.1-2
- removed smp_flags

* Tue Feb 21 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.1-1
- Initial import for FC
- Sanitised the spec file somewhat
- Removed .a and .la files
